Subject: Re: bug#13460: Issue to change dictionary when using hunspell on emacs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Jan 2013 18:41:20 +0200

> Date: Thu, 17 Jan 2013 16:24:16 +0100
> From: Agustin Martin <[email-masked]>
> 
> There is a second issue I forgot, one needs to get info from the installed
> .aff files, so all them must be completely opened to look for that info
> (OTHERCHARS and friends) and I'd expect that to slow Emacs init a bit.

You don't need OTHERCHARS, only the SET, to figure out the encoding in
which to talk to hunspell for each dictionary.  (OTHERCHARS cannot be
gleaned from the hunspell .aff files anyway, AFAIU.)

The other problem is with CASECHARS, but that is unavailable with
aspell as well, we are just guessing there.  We could guess the same
for hunspell.